JerryFiedler Posted March 26 Posted March 26 Is there a property of a block that could be set that would allow picking the insert point only. For example I have a small block, more or less a "target", that I use to mark specific points. Every time I want to select the target, to start a line or get a distance between the targets or something similar I have to first select the " insert " button on a toolbar and then select the target. I hope there is a better way. I have been putting up with this for years but in my old age I get annoyed more easily! Quote
BIGAL Posted March 27 Posted March 27 (edited) Its so easy to do, if you do not have your osnaps set to include INSERT. Just some examples. Line ins Line end Line m2p Line '47 Line Shift+right button on mouse I would though look seriously at your osnap settings, dont turn everything on. Try Osmode 47 it includes Insert. (defun c:47 ( / )(setvar 'osmode 47)) Edited March 27 by BIGAL Quote
JerryFiedler Posted March 27 Author Posted March 27 BigAl, thanks for taking the time to respond. Yes I control osnaps to what I need for different situations. And yes the shift+right click shows the whole list to choose from. Although clicking my "insert" toolbar button is faster for me. Setting osnaps is not my question. What I was asking is: Does a block have a property that would force selection of the insert point. Quote
BIGAL Posted Friday at 04:02 AM Posted Friday at 04:02 AM (edited) Osmode 64 will force insert only snap. So if using a button ^c^c(setvar 'osmode 64) (command-s "then your command")(setvar 'osmode xx?) The only other way would be complicated using say "line" then a defun that looks at the object and gets the correct value say for block INSERT, Circle CENTRE and so on. Will have a think. (defun c:lll ( / obj typ pt) (setq obj (vlax-ename->vla-object (car (entsel)))) (setq typ (vlax-get obj 'objectname)) (cond ((= typ "AcDbCIRCLE")(setq pt (vlax-get obj 'center))) ((= typ "AcDbBlockReference")(setq pt (vlax-get obj 'insertionpoint))) ((= typ "AcDbtext")(setq pt (vlax-get obj 'insertionpoint))) ((= typ "AcDbMText")(setq pt (vlax-get obj 'insertionpoint))) ) (if (= pt nil) (princ "\no matching object ") (command-s "line" pt) ) (princ) ) (c:lll) Edited Friday at 10:58 PM by BIGAL Quote
CyberAngel Posted Friday at 12:44 PM Posted Friday at 12:44 PM One solution would be to turn off grips inside blocks. Open the Options window, go to the Selection tab, and turn off "Show grips within blocks" in the Grips pane. That way the only grip you can pick is the insertion point. 1 Quote
JerryFiedler Posted Saturday at 12:30 AM Author Posted Saturday at 12:30 AM (edited) CyberAngel, Thank you! This is exactly what I wanted. For most of my blocks, not just my "target" block, I never want to pick internal grips. I can turn them off as you suggest and leave then off. I create buttons for just about every task so I think I will create a toggle button for the "show grips" setting just in case I need something internal. I am not on my computer now so I cannot check but I hope there is a system variable associated with this setting. BigAl, As always you are very generous with you time and knowledge. I always appreciate your input. Thank you. Edited Saturday at 12:35 AM by JerryFiedler Wanted to thank BigAl. Quote
JerryFiedler Posted Saturday at 10:46 PM Author Posted Saturday at 10:46 PM Okay I had time to investigate this issue. True, the "Show grips within blocks" setting toggles the grip's visibility for a block. That is, when you SELECT the block you either see all grips or just the insert point. However, if for example, you use a command like LINE and you are asked to "select the start point" and you move your cursor onto the block each and every one of the internal grips is energized as the cursor passes over it. So, that setting really is not what I was looking for. What I need is the AutoCAD point selection routine to only SELECT the insert point for blocks. I will solve my issue by using "points" instead of my target block. The "point" only has one grip so even if you are zoomed out the point selection routine will get the proper point. Let's consider this post solved. Thanks for your interest. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.